const lib = require("../index.js");

const tasks = [
   { arr: [1, 2, 3, 4, 5, 6, 7, 8], str: "1-8" },
   { arr: [1, 3, 4, 5, 6, 7, 8], str: "1,3-8" },
   { arr: [1, 3, 4, 5, 6, 7, 8, 10, 11, 12], str: "1,3-8,10-12" },
   { arr: [1, 2, 3], str: "1-3" },
   { arr: [1, 2], str: "1,2" },
   { arr: [1, 2, 4], str: "1,2,4" },
   { arr: [1, 2, 4, 5, 6], str: "1,2,4-6" },
   { arr: [1, 2, 3, 7, 8, 9, 15, 17, 19, 20, 21], str: "1-3,7-9,15,17,19-21" },
   { arr: [1, 2, 3, 4, 5, 6, 100, 1091, 1999, 2000, 2001, 2002], str: "1-6,100,1091,1999-2002" },
   { arr: [1], str: "1" },
   { arr: [1, 3, 5, 7, 9, 11], str: "1,3,5,7,9,11" }
];

async function main() {

    var errors = 0;

    for (const item of tasks) {
        const res1 = await lib.convert1(item['arr']);
        const res2 = await lib.convert2(item['arr']);
        
        if (res1 != item['str']) {
            console.log('Array: ' + item['arr'].toString(),'| Result: ' + res1 + ' != ' +  item['str']);
            errors++;
        }
        
        
        if (res2 != item['str']) {
            console.log('Array: ' + item['arr'].toString(),'| Result: ' +  res2 + ' != ' +  item['str']);
            errors++;
        }
        
    };

    if (errors > 0) {
        console.log('Test completed with errors: ' + errors);
    } else {
        console.log('Test completed without errors');
    }
    
}

main();